Skip to main content
`Ctrl`+`K`

# DMDASetStencilType

Sets the type of the communication stencil

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetStencilType(DM da, DMDAStencilType stype)

Logically Collective

## Input Parameters

- da - The `DMDA`

- stype - The stencil type, use either `DMDA_STENCIL_BOX` or `DMDA_STENCIL_STAR`.

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate()`, `DMDestroy()`, `DMDAStencilType`, `DMDA_STENCIL_BOX`, `DMDA_STENCIL_STAR.`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages